Update Menu Layout
curl --request PUT \
--url https://api.example.com/cabinet/admin/menu-layout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"id": "<string>",
"max_per_row": 2,
"buttons": [
{
"id": "<string>",
"style": "primary",
"icon_custom_emoji_id": "",
"enabled": true,
"labels": {},
"url": "<string>",
"open_in": "external"
}
]
}
]
}
'import requests
url = "https://api.example.com/cabinet/admin/menu-layout"
payload = { "rows": [
{
"id": "<string>",
"max_per_row": 2,
"buttons": [
{
"id": "<string>",
"style": "primary",
"icon_custom_emoji_id": "",
"enabled": True,
"labels": {},
"url": "<string>",
"open_in": "external"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [
{
id: '<string>',
max_per_row: 2,
buttons: [
{
id: '<string>',
style: 'primary',
icon_custom_emoji_id: '',
enabled: true,
labels: {},
url: '<string>',
open_in: 'external'
}
]
}
]
})
};
fetch('https://api.example.com/cabinet/admin/menu-layout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"id": "<string>",
"max_per_row": 2,
"buttons": [
{
"id": "<string>",
"style": "primary",
"icon_custom_emoji_id": "",
"enabled": true,
"labels": {},
"url": "<string>",
"open_in": "external"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Menu Layout
Update Menu Layout
Save full menu layout config. Splits into layout + button styles. Admin only.
PUT
/
cabinet
/
admin
/
menu-layout
Update Menu Layout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Full menu configuration submitted by the frontend.
Maximum array length:
20Show child attributes
Show child attributes
Response
Successful Response
Full merged menu configuration returned to the frontend.
Show child attributes
Show child attributes
⌘I
